Bug 1576175 (CVE-2018-10767) - CVE-2018-10767 libgxps: Stack-based buffer overflow in calling glib in gxps_images_guess_content_type of gcontenttype.c
Summary: CVE-2018-10767 libgxps: Stack-based buffer overflow in calling glib in gxps_i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10767
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1576176 1591114 1591115
Blocks: 1576177
TreeView+ depends on / blocked
 
Reported: 2018-05-09 04:31 UTC by Sam Fowler
Modified: 2021-02-17 00:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:42 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 07:42:34 UTC

Description Sam Fowler 2018-05-09 04:31:41 UTC
There is a stack-based buffer over-read in calling GLib in the function gxps_images_guess_content_type of gxps-images.c in libgxps through 0.3.0 because it does not reject negative return values from a g_input_stream_read call. A crafted input will lead to a remote denial of service attack.


Original bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1575188

Comment 1 Sam Fowler 2018-05-09 04:31:59 UTC
Created libgxps tracking bugs for this issue:

Affects: fedora-all [bug 1576176]

Comment 3 Stefan Cornelius 2018-06-14 05:57:55 UTC
Acknowledgments:

Name: chenyuan (NESA Lab)

Comment 5 errata-xmlrpc 2018-10-30 07:42:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3140 https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.